Skip to content
Start here

Outgoing

Primary Zone Configuration Details
dns.zone_transfers.outgoing.get(OutgoingGetParams**kwargs) -> OutgoingGetResponse
GET/zones/{zone_id}/secondary_dns/outgoing
Create Primary Zone Configuration
dns.zone_transfers.outgoing.create(OutgoingCreateParams**kwargs) -> OutgoingCreateResponse
POST/zones/{zone_id}/secondary_dns/outgoing
Update Primary Zone Configuration
dns.zone_transfers.outgoing.update(OutgoingUpdateParams**kwargs) -> OutgoingUpdateResponse
PUT/zones/{zone_id}/secondary_dns/outgoing
Delete Primary Zone Configuration
dns.zone_transfers.outgoing.delete(OutgoingDeleteParams**kwargs) -> OutgoingDeleteResponse
DELETE/zones/{zone_id}/secondary_dns/outgoing
Disable Outgoing Zone Transfers
dns.zone_transfers.outgoing.disable(OutgoingDisableParams**kwargs) -> DisableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/disable
Enable Outgoing Zone Transfers
dns.zone_transfers.outgoing.enable(OutgoingEnableParams**kwargs) -> EnableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/enable
Force DNS NOTIFY
dns.zone_transfers.outgoing.force_notify(OutgoingForceNotifyParams**kwargs) -> OutgoingForceNotifyResponse
POST/zones/{zone_id}/secondary_dns/outgoing/force_notify
ModelsExpand Collapse
str

The zone transfer status of a primary zone.

str

The zone transfer status of a primary zone.

class Outgoing:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

Optional[str]

The zone transfer status of a primary zone.

class OutgoingGetResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingCreateResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingUpdateResponse:
id: Optional[str]
checked_time: Optional[str]

The time for a specific event.

created_time: Optional[str]

The time for a specific event.

last_transferred_time: Optional[str]

The time for a specific event.

name: Optional[str]

Zone name.

peers: Optional[List[str]]

A list of peer tags.

soa_serial: Optional[float]

The serial number of the SOA for the given zone.

class OutgoingDeleteResponse:
id: Optional[str]
str

When force_notify query parameter is set to true, the response is a simple string.

OutgoingStatus

Get Outgoing Zone Transfer Status
dns.zone_transfers.outgoing.status.get(StatusGetParams**kwargs) -> EnableTransfer
GET/zones/{zone_id}/secondary_dns/outgoing/status